<!-- <div style="overflow-y: scroll; max-height: 100vh;"> -->
<div class="ui grid" style="overflow-y: scroll; max-height: 80vh;">
    <div class="row">
        <div class="sixteen wide column">
            <div class="ui teal progress" data-percent="" id="assocProgressBar"> 
                <div class="bar">
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="six wide column">
            <div class="fluid ui vertical buttons">
                <button type="button" [class]="this.column_a.r1.field_class" (click)="this.column_a.r1.onFieldClick()">
                    {{this.column_a.r1.text}}
                </button>
                <button type="button" [class]="this.column_a.r2.field_class" (click)="this.column_a.r2.onFieldClick()">
                    {{this.column_a.r2.text}}
                </button>
                <button type="button" [class]="this.column_a.r3.field_class" (click)="this.column_a.r3.onFieldClick()">
                    {{this.column_a.r3.text}}
                </button>
                <button type="button" [class]="this.column_a.r4.field_class" (click)="this.column_a.r4.onFieldClick()">
                    {{this.column_a.r4.text}}
                </button>
            </div>
            <div [class]="this.column_a.solution.field_class">
                <input type="text" [readOnly]="this.column_a.solution.answered" [placeholder]="this.column_a.solution.text" (keyup)="this.column_a.checkSolution($event)">
            </div>
        </div>

        <div class="four wide column">
        </div>

        <div class="six wide column">
            <div class="fluid ui vertical buttons">
                <button type="button" [class]="this.column_b.r1.field_class" (click)="this.column_b.r1.onFieldClick()">
                    {{this.column_b.r1.text}}
                </button>
                <button type="button" [class]="this.column_b.r2.field_class" (click)="this.column_b.r2.onFieldClick()">
                    {{this.column_b.r2.text}}
                </button>
                <button type="button" [class]="this.column_b.r3.field_class" (click)="this.column_b.r3.onFieldClick()">
                    {{this.column_b.r3.text}}
                </button>
                <button type="button" [class]="this.column_b.r4.field_class" (click)="this.column_b.r4.onFieldClick()">
                    {{this.column_b.r4.text}}
                </button>
            </div>
            <div [class]="this.column_b.solution.field_class">
                <input type="text" [readOnly]="this.column_b.solution.answered" [placeholder]="this.column_b.solution.text" (keyup)="this.column_b.checkSolution($event)">
            </div>
        </div>
    </div>

    <div class="twelve column centered row">
        <div class="two wide column">
            <div [class]="this.field_class">
                <input type="text" [readOnly]="this.answered" [placeholder]="this.solution" (keyup)="this.checkMainSolution($event)">
            </div>
        </div>
    </div>
    <div class="twelve column centered row">
        <div class="one wide column">
            <button type ="button" [class]="this.end_class" (click)="this.endGame()">
                End Game
            </button> 
        </div>
    </div>

    <div class="row">
        <div class="six wide column">
            <div [class]="this.column_c.solution.field_class">
                <input type="text" [readOnly]="this.column_c.solution.answered" [placeholder]="this.column_c.solution.text" (keyup)="this.column_c.checkSolution($event)">
            </div>
            <div class="fluid ui vertical buttons">
                <button type="button" [class]="this.column_c.r1.field_class" (click)="this.column_c.r1.onFieldClick()">
                    {{this.column_c.r1.text}}
                </button>
                <button type="button" [class]="this.column_c.r2.field_class" (click)="this.column_c.r2.onFieldClick()">
                    {{this.column_c.r2.text}}
                </button>
                <button type="button" [class]="this.column_c.r3.field_class" (click)="this.column_c.r3.onFieldClick()">
                    {{this.column_c.r3.text}}
                </button>
                <button type="button" [class]="this.column_c.r4.field_class" (click)="this.column_c.r4.onFieldClick()">
                    {{this.column_c.r4.text}}
                </button>
            </div>
        </div>

        <div class="four wide column">
        </div>

        <div class="six wide column">
            <div [class]="this.column_d.solution.field_class">
                <input type="text" [readOnly]="this.column_d.solution.answered" [placeholder]="this.column_d.solution.text" (keyup)="this.column_d.checkSolution($event)">
            </div>
            <div class="fluid ui vertical buttons">
                <button type="button" [class]="this.column_d.r1.field_class" (click)="this.column_d.r1.onFieldClick()">
                    {{this.column_d.r1.text}}
                </button>
                <button type="button" [class]="this.column_d.r2.field_class" (click)="this.column_d.r2.onFieldClick()">
                    {{this.column_d.r2.text}}
                </button>
                <button type="button" [class]="this.column_d.r3.field_class" (click)="this.column_d.r3.onFieldClick()">
                    {{this.column_d.r3.text}}
                </button>
                <button type="button" [class]="this.column_d.r4.field_class" (click)="this.column_d.r4.onFieldClick()">
                    {{this.column_d.r4.text}}
                </button>
            </div>
        </div>
    </div>
</div>
<!-- </div> -->
